package seng302.Networking.Messages;

import seng302.Networking.Messages.Enums.MessageType;

/**
 * Created by fwy13 on 21/04/17.
 */
public class CourseWind extends AC35Data {

    private int ID, raceID, windDirection, windSpeed, bestUpwindAngle, bestDownwindAngle, flags;
    private long time;

    public CourseWind(int ID, long time, int raceID, int windDirection, int windSpeed, int bestUpwindAngle, int bestDownwindAngle,
                      int flags){
        super(MessageType.COURSEWIND);
        this.ID = ID;
        this.time = time;
        this.raceID = raceID;
        this.windDirection = windDirection;
        this.windSpeed = windSpeed;
        this.bestUpwindAngle = bestUpwindAngle;
        this.bestDownwindAngle = bestDownwindAngle;
        this.flags = flags;
    }

    public int getID() {
        return ID;
    }

    public int getRaceID() {
        return raceID;
    }

    public int getWindDirection() {
        return windDirection;
    }

    public int getWindSpeed() {
        return windSpeed;
    }

    public int getBestUpwindAngle() {
        return bestUpwindAngle;
    }

    public int getBestDownwindAngle() {
        return bestDownwindAngle;
    }

    public int getFlags() {
        return flags;
    }

    public long getTime() {
        return time;
    }
}
